%define _requires_exceptions pear(Zend

Summary:	Web-based interface to configure your subversion repositories
Name:		usvn
Version:	0.7.2
Release:	%mkrel 1
License:	distributable
Group:		System/Servers
URL:		http://www.usvn.info/
Source0:	%{name}-%{version}.tgz
Requires:	apache-mod_php apache-mod_dav_svn php-mysqli subversion
Requires(post): rpm-helper
Requires(postun): rpm-helper
BuildArch:	noarch
BuildRequires:	apache-base >= 2.0.54
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Userfriendly SVN is a PHP5 web interface to administrate and configure
Subversion repositories. It allows users to create and manage projects without
command line SVN client. USVN manages your projects for you, and allows users
to checkout source code only if they are allowed to. Dispatch administrators on
different projects become easy and safe.

USVN enable an easy, fast and powerful repositories files access configuration.
For example translators may only have translation files access.

Last USVN release includes this features:

 * Administrators and user management
 * Group management
 * Project management
 * Repository browsing
 * Repository file access management

%prep

%setup -q -n %{name}

# white space
mv "medias/default/images/CrystalClear/64x64/apps/Community Help.png" medias/default/images/CrystalClear/64x64/apps/Community_Help.png
mv "medias/default/images/CrystalClear/128x128/apps/Network Connection Manager.png" medias/default/images/CrystalClear/128x128/apps/Network_Connection_Manager.png

# more white spaces
pushd update
    for i in 1 2 3 4 5; do
	mv "0.7 RC$i" 0.7RC$i
    done
popd

# fix attribs
find -type f | xargs chmod 644
find -type d | xargs chmod 755

# strip away annoying ^M
find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs %{__perl} -pi -e 's/\r$//g'

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}/var/www/%{name}

cp -aRf * %{buildroot}/var/www/%{name}/

# cleanup
pushd %{buildroot}/var/www/%{name}
    find -name "\.htaccess" | xargs rm -f
popd

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>

    Options +FollowSymLinks
    AllowOverride FileInfo Limit
    Allow from All

    <Files *.ini>
	Order Allow,Deny
	Deny from all
    </Files>

#    RewriteEngine on
#    RewriteCond %{REQUEST_URI} !/install*
#    RewriteBase /%{name}/
#    RewriteRule !\.(js|ico|gif|jpg|png|css)$ index.php

</Directory>

<Directory /var/www/%{name}/medias>
    RewriteEngine Off
</Directory>

<Directory /var/www/%{name}/update>
    RewriteEngine Off
</Directory>

<Directory /var/www/%{name}/USVN>
    Order Deny,Allow
    Deny from All
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf"
</Directory>

#<Location /usvn/svn/>
#    DAV svn
#    Require valid-user
#    SVNParentPath /var/www/usvn/files/svn
#    SVNListParentPath off
#    AuthType Basic
#    AuthName "USVN"
#    AuthUserFile /var/www/usvn/files/htpasswd
#    AuthzSVNAccessFile /var/www/usvn/files/authz
#</Location>

EOF

%post
%_post_webapp

%postun
%_postun_webapp

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
# not very nice...
%defattr(0644,apache,apache,0755)
/var/www/%{name}


%changelog
* Sun Nov 02 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-1mdv2009.1
+ Revision: 299240
- 0.7.2

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.7.1-1mdv2009.0
+ Revision: 280696
- New Release

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-4mdv2009.0
+ Revision: 261822
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-3mdv2009.0
+ Revision: 255265
- rebuild

* Tue Jan 22 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7-1mdv2008.1
+ Revision: 156055
- 0.7

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - description is neither license tag nor installation instructions

* Tue Nov 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-1mdv2008.1
+ Revision: 106355
- 0.6.5

* Sat Oct 13 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.4-1mdv2008.0
+ Revision: 97910
- 0.6.4

* Thu Jul 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-1mdv2008.0
+ Revision: 53538
- Import usvn



* Thu Jul 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-1mdv2008.0
- initial Mandriva package
